Last Comment Bug 1153108 - add page allowing users to grant canconfirm rights onto themselves
: add page allowing users to grant canconfirm rights onto themselves
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
-- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-09 23:53 PDT by Byron Jones ‹:glob›
Modified: 2015-08-10 07:15 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
1153108_1.patch (4.10 KB, patch)
2015-08-05 07:48 PDT, Byron Jones ‹:glob›
dylan: review+
Details | Diff | Splinter Review

Description User image Byron Jones ‹:glob› 2015-04-09 23:53:59 PDT
- the page should display explanatory text about the triage process (with links to relevant resources)
- clicking on a button will:
  - add the user to the canconfrim group
  - log an audit event in syslog
  - display a thank you blurb
- add the ability to disable this feature with an admin param
  - dead man's switch in case it gets abused
  - when disabled, redirect to the 'get_permissions' page

this page should not be linked from anywhere in bugzilla, instead the primary way to discover it should be via "i want to help triage" documentation (bugmasters/one and done/..).


given that this will lower/remove the barrier of entry for canconfirm, we should also raise the "use the advanced bug entry form by default" from canconfirm to editbugs, as well as bumping antispam_spammer_exclude_group up to editbugs.
Comment 1 User image Mike Hoye [:mhoye] 2015-04-13 13:39:54 PDT
Related: Bug 1154031
Comment 2 User image Byron Jones ‹:glob› 2015-04-14 07:44:21 PDT
mike, we'll need text to display on the "hey i want canconfirm" and "sure, here's your canconfirm" pages.

here's what i have right now, lifted from https://wiki.mozilla.org/Bugmasters
https://www.dropbox.com/s/z8icna6n6cpazsl/Screenshot%202015-04-14%2022.34.53.png
https://www.dropbox.com/s/uqocqbzzkbx2wny/Screenshot%202015-04-14%2022.37.34.png
Comment 3 User image Mike Hoye [:mhoye] 2015-04-14 08:23:16 PDT
Pictures of text. What have we become.

That text covers what bug triage is, but it doesn't talk about why it's important or how it's valued by Mozilla. I'm going to write up something that's a little less "do this and this and this" and a little more "this is really important and worth getting excited about".

Leaving the needinfo open.
Comment 4 User image Mike Hoye [:mhoye] 2015-04-14 08:31:45 PDT
11:24 <glob> sorry, i should have printed it out and scanned it
11:24 <glob> .. and attached it inside a word document
11:28 <mhoye> PDF would have been fine.
11:28 <glob> :D
11:28 <mhoye> You can embed flash in a PDF now, if you want to try that.
11:28 <mhoye> Just fax it over when you're done.
Comment 5 User image Mike Hoye [:mhoye] 2015-04-20 11:31:19 PDT
Still working on the text but for now going to mark this INCOMPLETE pending wider discussion about the process, per related other bugs.
Comment 6 User image Mike Hoye [:mhoye] 2015-06-10 08:52:17 PDT
OK, I'd like to spin this back up. The site is running behind the VPN and under secreview. Hoping to move it to the larger audience soon, too. Everything is exciting! Next steps: would you like the aforementioned text?
Comment 7 User image Byron Jones ‹:glob› 2015-06-10 08:54:55 PDT
yup, i'll need the following copy:

- "i want canconfirm"
- "there, you have canconfirm"
- "wait, you already have canconfirm"
Comment 8 User image Mike Hoye [:mhoye] 2015-07-28 13:08:30 PDT
1: Triage is the first step in a bug's road to resolution; having 'canconfirm' rights gives you the access you'll need to help move that bug it into the right component, narrow it down and confirm it as "new". This helps Mozilla's engineers learn about it sooner and fix it faster.

Would you like to add "canconfirm" permissions to your account?


2: "Thank you. With your help sorting and triaging bugs Mozilla will be able to ship a better product to hundreds of millions of users that much faster."

3. Same as 2. Even if they had can confirm before, be enthusiastic for them! 


- mhoye
Comment 9 User image Byron Jones ‹:glob› 2015-08-05 07:48:42 PDT
Created attachment 8643718 [details] [diff] [review]
1153108_1.patch
Comment 10 User image Dylan Hardison [:dylan] 2015-08-06 08:20:24 PDT
Comment on attachment 8643718 [details] [diff] [review]
1153108_1.patch

Review of attachment 8643718 [details] [diff] [review]:
-----------------------------------------------------------------

r+ I note that the action is audited. looks good.
Comment 11 User image Byron Jones ‹:glob› 2015-08-10 06:22:38 PDT
To ssh://gitolite3@git.mozilla.org/webtools/bmo/bugzilla.git
   2c5c358..7e41532  master -> master

once this has been pushed to production this will be active on https://bugzilla.mozilla.org/form.triage-request
Comment 12 User image Mike Hoye [:mhoye] 2015-08-10 07:15:15 PDT
Totally looking forward to BMO push day!

Thanks, glob.

Note You need to log in before you can comment on or make changes to this bug.